<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UnitAdjust extends Model
{
    //

    
    

    const ADJUST_DECISION_APPROVED = 1;

    const ADJUST_DECISION_DECLINE= 2;
    const ADJUST_DECISION_PENDING = 0;

    public function  customer()
    {
        return $this->belongsTo('\App\Customer', 'customer_id');
    }
    public function  customerProperty()
    {
        return $this->belongsTo('\App\CustomerProperty', 'customer_property_id');
    }

    public function  refundhistory()
    {
        return $this->hasMany('\App\StatementHistory', 'unit_adjust_id');
        
    }
}
